From Fedora Project Wiki

(Created page with '{{QA/Test_Case |description=Perl core is not only interpreter but also core modules - CGI, Module::Build, CPAN,... Some of these modules have dual life in core and in their own p...')
 
(Update to contemporary package and tool names)
 
(2 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
{{QA/Test_Case
 
{{QA/Test_Case
|description=Perl core is not only interpreter but also core modules - CGI, Module::Build, CPAN,... Some of these modules have dual life in core and in their own package, because it's much easier to update them (for maintainer).
+
|description=Perl core is not only an interpreter, but also a set of core modules –  File::Spec, ExtUtils::MakeMaker, CPAN, etc. Some of these modules exist in core and in their own package as a convenience for the maintainer – we refer to these modules as "dual-life" modules.
|setup=You probably have installed Perl. If not, it's not good idea to test it ;-)
+
|setup=You probably have installed Perl. If not, it's not a good idea to test it ;-)
 
|actions=
 
|actions=
# Do you have perl-core? {{command|rpm -q perl-core}} Great. This will require core modules, so they are installed too eg. perl-CGI, perl-Module-Build.
+
# Do you have perl? {{command|rpm -q perl}} Great. This will require core modules, so they are installed, too (e.g. perl-PathTools, perl-ExtUtils-MakeMaker)
# Will be perl or 'perl(Some::Module)' installed in yum update? Did {{command|yum update}} passed? Than dual life packages don't conflict with core package. No missing dependencies or NVR problems.
+
# Will 'perl' or 'perl(Some::Module)' be installed in dnf upgrade? Did {{command|dnf upgrade}} pass? Then dual-life packages don't conflict with core package. No missing dependencies or NVR problems.
# Do you have only perl because you like minimal installation? Great, than you can check if update doesn't pull in any other un-needed dependencies.
+
# Do you have only perl-interpreter because you like minimal installation? Great, than you can check if upgrade doesn't pull in any other unneeded dependencies.
 
|results=
 
|results=
# Clean yum update without warnings, no NVR problems, no new useless dependencies in case of minimal Perl installation.
+
# Clean yum upgrade without warnings, no NVR problems, no new useless dependencies in case of minimal Perl installation.
 
}}
 
}}
 
[[Category:Critical_path_test_cases]]
 
[[Category:Critical_path_test_cases]]
 +
[[Category:Package_perl_test_cases]]

Latest revision as of 16:01, 4 December 2018

Description

Perl core is not only an interpreter, but also a set of core modules – File::Spec, ExtUtils::MakeMaker, CPAN, etc. Some of these modules exist in core and in their own package as a convenience for the maintainer – we refer to these modules as "dual-life" modules.

Setup

You probably have installed Perl. If not, it's not a good idea to test it ;-)

How to test

  1. Do you have perl? rpm -q perl Great. This will require core modules, so they are installed, too (e.g. perl-PathTools, perl-ExtUtils-MakeMaker)
  2. Will 'perl' or 'perl(Some::Module)' be installed in dnf upgrade? Did dnf upgrade pass? Then dual-life packages don't conflict with core package. No missing dependencies or NVR problems.
  3. Do you have only perl-interpreter because you like minimal installation? Great, than you can check if upgrade doesn't pull in any other unneeded dependencies.

Expected Results

  1. Clean yum upgrade without warnings, no NVR problems, no new useless dependencies in case of minimal Perl installation.